## qubes-core-agent 2.1.54jessie1

=== debian/changelog ===
qubes-core-agent (2.1.54jessie1) jessie; urgency=medium

  * Build for jessie

 -- Marek Marczykowski-Górecki <user@devel18>  Tue, 10 Feb 2015 15:46:28 +0000

qubes-core-agent (2.1.54) jessie; urgency=medium

  [ Marek Marczykowski-Górecki ]
  * rpm: add missing R: pygobject3-base

  [ HW42 ]
  * debian: fix for QSB #014 requires up to date qubes-utils
  * debian: postinst: use systemctl mask
  * debian: postinst: use dpkg-divert
  * debian: don't generate regular conf files in postinst
  * debian: postinst: don't remove /etc/udev/rules.d/*
  * debian: postinst: don't create /rw - it is already part of the
    package
  * debian: postinst: use systemctl to set default target
  * debian: postinst: remove fedora specific code
  * debian: postinst: enable netfilter-persistent service
  * debian: postinst: cleanup
  * debian: postinst: don't start systemd services
  * debian: postinst: enable haveged only if installed
  * debian: postinst: remove redundant and misleading trigger output
  * debian: install fstab as normal config file
  * debian: preinst: remove modification of /etc/modules
  * remove 'bashisms' or explicit use bash
  * debian: preinst: don't force the default shell to bash
  * debian: prerm: remove obsolete code
  * debian: preinst: cleanup user creation

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Tue, 10 Feb 2015 14:57:57 +0100

## qubes-core-agent 2.1.55jessie1

=== Makefile ===
RPMS_DIR=rpm/

VERSION := $(shell cat version)

DIST ?= fc18
KDESERVICEDIR ?= /usr/share/kde4/services
SBINDIR ?= /usr/sbin
LIBDIR ?= /usr/lib
SYSLIBDIR ?= /lib

# This makefile uses some bash-isms, make uses /bin/sh by default.
SHELL = /bin/bash

help:
	@echo "make rpms                  -- generate binary rpm packages"
	@echo "make rpms-vm               -- generate binary rpm packages for VM"
	@echo "make update-repo-current   -- copy newly generated rpms to qubes yum repo"
	@echo "make update-repo-current-testing  -- same, but to -current-testing repo"
	@echo "make update-repo-unstable  -- same, but to -testing repo"
	@echo "make update-repo-installer -- copy dom0 rpms to installer repo"
	@echo "make clean                 -- cleanup"
	@echo "make install-vm            -- install VM related files"

rpms: rpms-vm

rpms-vm:
	rpmbuild --define "_rpmdir $(RPMS_DIR)" -bb rpm_spec/core-vm.spec
	rpmbuild --define "_rpmdir $(RPMS_DIR)" -bb rpm_spec/core-vm-doc.spec
	rpmbuild --define "_rpmdir $(RPMS_DIR)" -bb rpm_spec/core-vm-kernel-placeholder.spec
	rpm --addsign \
		$(RPMS_DIR)/x86_64/qubes-core-vm-*$(VERSION)*.rpm \
		$(RPMS_DIR)/x86_64/qubes-core-vm-doc-*$(VERSION)*.rpm \
		$(RPMS_DIR)/x86_64/qubes-core-vm-kernel-placeholder-*.rpm

rpms-dom0:
	@true

clean:
	make -C misc clean
	make -C qrexec clean
	make -C qubes-rpc clean

all:
	make -C misc
	make -C qrexec
	make -C qubes-rpc

install-systemd:
	install -d $(DESTDIR)$(SYSLIBDIR)/systemd/system $(DESTDIR)$(LIBDIR)/qubes/init $(DESTDIR)$(SYSLIBDIR)/modules-load.d
	install -m 0755 vm-systemd/*.sh $(DESTDIR)$(LIBDIR)/qubes/init/
	install -m 0644 vm-systemd/qubes-*.service $(DESTDIR)$(SYSLIBDIR)/systemd/system/
	install -m 0644 vm-systemd/qubes-*.timer $(DESTDIR)$(SYSLIBDIR)/systemd/system/
	install -m 0644 vm-systemd/ModemManager.service $(DESTDIR)$(LIBDIR)/qubes/init/
	install -m 0644 vm-systemd/NetworkManager.service $(DESTDIR)$(LIBDIR)/qubes/init/
	install -m 0644 vm-systemd/NetworkManager-wait-online.service $(DESTDIR)$(LIBDIR)/qubes/init/
	install -m 0644 vm-systemd/qubes-core.conf $(DESTDIR)$(SYSLIBDIR)/modules-load.d/
	install -m 0644 vm-systemd/qubes-misc.conf $(DESTDIR)$(SYSLIBDIR)/modules-load.d/
	install -m 0644 vm-systemd/cups.* $(DESTDIR)$(LIBDIR)/qubes/init/
	install -m 0644 vm-systemd/ntpd.service $(DESTDIR)$(LIBDIR)/qubes/init/
	install -m 0644 vm-systemd/chronyd.service $(DESTDIR)$(LIBDIR)/qubes/init/
	install -m 0644 vm-systemd/crond.service $(DESTDIR)$(LIBDIR)/qubes/init/

install-sysvinit:
	install -d $(DESTDIR)/etc/init.d
	install vm-init.d/qubes-core $(DESTDIR)/etc/init.d/
	install vm-init.d/qubes-core-appvm $(DESTDIR)/etc/init.d/
	install vm-init.d/qubes-core-netvm $(DESTDIR)/etc/init.d/
	install vm-init.d/qubes-firewall $(DESTDIR)/etc/init.d/
	install vm-init.d/qubes-netwatcher $(DESTDIR)/etc/init.d/
	install vm-init.d/qubes-qrexec-agent $(DESTDIR)/etc/init.d/
	install vm-init.d/qubes-updates-proxy $(DESTDIR)/etc/init.d/
	install -D vm-init.d/qubes-core.modules $(DESTDIR)/etc/sysconfig/modules/qubes-core.modules
	install -D vm-init.d/qubes-misc.modules $(DESTDIR)/etc/sysconfig/modules/qubes-misc.modules


install-rh: install-systemd install-sysvinit
	install -D -m 0644 misc/qubes-r2.repo $(DESTDIR)/etc/yum.repos.d/qubes-r2.repo
	install -d $(DESTDIR)/usr/share/glib-2.0/schemas/
	install -m 0644 misc/org.gnome.settings-daemon.plugins.updates.gschema.override $(DESTDIR)/usr/share/glib-2.0/schemas/
	install -m 0644 misc/org.gnome.nautilus.gschema.override $(DESTDIR)/usr/share/glib-2.0/schemas/
	install -d $(DESTDIR)$(LIBDIR)/yum-plugins/
	install -m 0644 misc/yum-qubes-hooks.py* $(DESTDIR)$(LIBDIR)/yum-plugins/
	install -D -m 0644 misc/yum-qubes-hooks.conf $(DESTDIR)/etc/yum/pluginconf.d/yum-qubes-hooks.conf
	install -d -m 755 $(DESTDIR)/etc/pki/rpm-gpg
	install -m 644 misc/RPM-GPG-KEY-qubes* $(DESTDIR)/etc/pki/rpm-gpg/
	install -D -m 644 misc/session-stop-timeout.conf $(DESTDIR)$(LIBDIR)/systemd/system/user@.service.d/90-session-stop-timeout.conf


	install -d $(DESTDIR)/etc/yum.conf.d
	touch $(DESTDIR)/etc/yum.conf.d/qubes-proxy.conf

	install misc/qubes-download-dom0-updates.sh $(DESTDIR)$(LIBDIR)/qubes/
	install -d $(DESTDIR)/var/lib/qubes/dom0-updates
	install -D -m 0644 misc/qubes-trigger-sync-appmenus.action $(DESTDIR)/etc/yum/post-actions/qubes-trigger-sync-appmenus.action

	install -D -m 0644 misc/serial.conf $(DESTDIR)/usr/share/qubes/serial.conf
	install -D misc/qubes-serial-login $(DESTDIR)/$(SBINDIR)/qubes-serial-login

	install -m 0400 -D network/iptables $(DESTDIR)/usr/lib/qubes/init/iptables
	install -m 0400 -D network/ip6tables $(DESTDIR)/usr/lib/qubes/init/ip6tables

install-common:
	install -m 0644 -D misc/fstab $(DESTDIR)/etc/fstab

	install -D -m 0440 misc/qubes.sudoers $(DESTDIR)/etc/sudoers.d/qubes

	install -d $(DESTDIR)/var/lib/qubes

	install -D misc/xenstore-watch $(DESTDIR)/usr/bin/xenstore-watch-qubes
	install -d $(DESTDIR)/etc/udev/rules.d
	install -m 0644 misc/udev-qubes-misc.rules $(DESTDIR)/etc/udev/rules.d/50-qubes-misc.rules
	install -d $(DESTDIR)$(LIBDIR)/qubes/
	install misc/vusb-ctl.py $(DESTDIR)$(LIBDIR)/qubes/
	install misc/qubes-trigger-sync-appmenus.sh $(DESTDIR)$(LIBDIR)/qubes/
	install -D misc/polkit-1-qubes-allow-all.pkla $(DESTDIR)/etc/polkit-1/localauthority/50-local.d/qubes-allow-all.pkla
	install -D misc/polkit-1-qubes-allow-all.rules $(DESTDIR)/etc/polkit-1/rules.d/00-qubes-allow-all.rules
	install -D -m 0644 misc/mime-globs $(DESTDIR)/usr/share/qubes/mime-override/globs

	mkdir -p $(DESTDIR)$(LIBDIR)/qubes

	if [ -r misc/dispvm-dotfiles.$(DIST).tbz ] ; \
	then \
		install misc/dispvm-dotfiles.$(DIST).tbz $(DESTDIR)/etc/dispvm-dotfiles.tbz ; \
	else \
		install misc/dispvm-dotfiles.tbz $(DESTDIR)/etc/dispvm-dotfiles.tbz ; \
	fi;

	install misc/dispvm-prerun.sh $(DESTDIR)$(LIBDIR)/qubes/dispvm-prerun.sh
	install misc/close-window $(DESTDIR)$(LIBDIR)/qubes/close-window

	install -m 0644 network/udev-qubes-network.rules $(DESTDIR)/etc/udev/rules.d/99-qubes-network.rules
	install network/qubes-setup-dnat-to-ns $(DESTDIR)$(LIBDIR)/qubes
	install network/qubes-fix-nm-conf.sh $(DESTDIR)$(LIBDIR)/qubes
	install network/setup-ip $(DESTDIR)$(LIBDIR)/qubes/
	install network/network-manager-prepare-conf-dir $(DESTDIR)$(LIBDIR)/qubes/
	install -d $(DESTDIR)/etc/dhclient.d
	ln -s /usr/lib/qubes/qubes-setup-dnat-to-ns $(DESTDIR)/etc/dhclient.d/qubes-setup-dnat-to-ns.sh
	install -d $(DESTDIR)/etc/NetworkManager/dispatcher.d/
	install network/{qubes-nmhook,30-qubes-external-ip} $(DESTDIR)/etc/NetworkManager/dispatcher.d/
	install -D network/vif-route-qubes $(DESTDIR)/etc/xen/scripts/vif-route-qubes
	install -m 0644 -D network/tinyproxy-updates.conf $(DESTDIR)/etc/tinyproxy/tinyproxy-updates.conf
	install -m 0644 -D network/filter-updates $(DESTDIR)/etc/tinyproxy/filter-updates
	install -m 0755 -D network/iptables-updates-proxy $(DESTDIR)$(LIBDIR)/qubes/iptables-updates-proxy
	install -d $(DESTDIR)/etc/xdg/autostart
	install -m 0755 network/show-hide-nm-applet.sh $(DESTDIR)$(LIBDIR)/qubes/show-hide-nm-applet.sh
	install -m 0644 network/show-hide-nm-applet.desktop $(DESTDIR)/etc/xdg/autostart/00-qubes-show-hide-nm-applet.desktop

	install -d $(DESTDIR)/$(SBINDIR)
	install network/qubes-firewall $(DESTDIR)/$(SBINDIR)/
	install network/qubes-netwatcher $(DESTDIR)/$(SBINDIR)/

	install -d $(DESTDIR)/usr/bin

	install qubes-rpc/{qvm-open-in-dvm,qvm-open-in-vm,qvm-copy-to-vm,qvm-move-to-vm,qvm-run,qvm-mru-entry} $(DESTDIR)/usr/bin
	install qubes-rpc/wrap-in-html-if-url.sh $(DESTDIR)$(LIBDIR)/qubes
	install qubes-rpc/qvm-copy-to-vm.kde $(DESTDIR)$(LIBDIR)/qubes
	install qubes-rpc/qvm-copy-to-vm.gnome $(DESTDIR)$(LIBDIR)/qubes
	install qubes-rpc/qvm-move-to-vm.kde $(DESTDIR)$(LIBDIR)/qubes
	install qubes-rpc/qvm-move-to-vm.gnome $(DESTDIR)$(LIBDIR)/qubes
	install qubes-rpc/{vm-file-editor,qfile-agent,qopen-in-vm} $(DESTDIR)$(LIBDIR)/qubes
	install qubes-rpc/tar2qfile $(DESTDIR)$(LIBDIR)/qubes
	# Install qfile-unpacker as SUID - because it will fail to receive files from other vm
	install -m 4755  qubes-rpc/qfile-unpacker $(DESTDIR)$(LIBDIR)/qubes
	install qubes-rpc/qrun-in-vm $(DESTDIR)$(LIBDIR)/qubes
	install qubes-rpc/sync-ntp-clock $(DESTDIR)$(LIBDIR)/qubes
	install qubes-rpc/prepare-suspend $(DESTDIR)$(LIBDIR)/qubes
	install -d $(DESTDIR)/$(KDESERVICEDIR)
	install -m 0644 qubes-rpc/{qvm-copy.desktop,qvm-move.desktop,qvm-dvm.desktop} $(DESTDIR)/$(KDESERVICEDIR)
	install -d $(DESTDIR)/etc/qubes-rpc
	install -m 0644 qubes-rpc/{qubes.Filecopy,qubes.OpenInVM,qubes.VMShell,qubes.SyncNtpClock} $(DESTDIR)/etc/qubes-rpc
	install -m 0644 qubes-rpc/{qubes.SuspendPre,qubes.SuspendPost,qubes.GetAppmenus} $(DESTDIR)/etc/qubes-rpc
	install -m 0644 qubes-rpc/qubes.WaitForSession $(DESTDIR)/etc/qubes-rpc
	install -m 0644 qubes-rpc/qubes.DetachPciDevice $(DESTDIR)/etc/qubes-rpc
	install -m 0644 qubes-rpc/qubes.{Backup,Restore} $(DESTDIR)/etc/qubes-rpc
	install -m 0644 qubes-rpc/qubes.Select{File,Directory} $(DESTDIR)/etc/qubes-rpc
	install -m 0644 qubes-rpc/qubes.GetImageRGBA $(DESTDIR)/etc/qubes-rpc
	install -m 0644 qubes-rpc/qubes.SetDateTime $(DESTDIR)/etc/qubes-rpc

	install -d $(DESTDIR)/usr/share/file-manager/actions
	install -m 0644 qubes-rpc/*-gnome.desktop $(DESTDIR)/usr/share/file-manager/actions

	install -D -m 0755 misc/qubes-desktop-run $(DESTDIR)/usr/bin/qubes-desktop-run
	install -D misc/nautilus-actions.conf $(DESTDIR)/etc/xdg/nautilus-actions/nautilus-actions.conf

	install -d $(DESTDIR)/mnt/removable

	install -D -m 0644 misc/xorg-preload-apps.conf $(DESTDIR)/etc/X11/xorg-preload-apps.conf

	install -d $(DESTDIR)/var/run/qubes
	install -d $(DESTDIR)/home_volatile/user
	install -d $(DESTDIR)/rw

install-deb:
	mkdir -p $(DESTDIR)/etc/apt/sources.list.d
	sed -e "s/@DIST@/`lsb_release -cs`/" misc/qubes-r2.list.in > $(DESTDIR)/etc/apt/sources.list.d/qubes-r2.list
	install -D -m 644 misc/qubes-archive-keyring.gpg $(DESTDIR)/etc/apt/trusted.gpg.d/qubes-archive-keyring.gpg
	install -D -m 644 network/iptables $(DESTDIR)/etc/iptables/rules.v4
	install -D -m 644 network/ip6tables $(DESTDIR)/etc/iptables/rules.v6
	install -d $(DESTDIR)/etc/sysctl.d
	install -m 644 network/80-qubes.conf $(DESTDIR)/etc/sysctl.d/
	install -D -m 644 misc/profile.d_qt_x11_no_mitshm.sh $(DESTDIR)/etc/profile.d/qt_x11_no_mitshm.sh
	install -D -m 440 misc/sudoers.d_umask $(DESTDIR)/etc/sudoers.d/umask
	install -D -m 440 misc/sudoers.d_qt_x11_no_mitshm $(DESTDIR)/etc/sudoers.d/qt_x11_no_mitshm

install-vm: install-rh install-common

=== doc/Makefile ===
VM_DIR=vm-tools
PANDOC=pandoc -s -f rst -t man
RPMS_DIR=rpm/

VM_DOCS=$(patsubst %.rst,%.1.gz,$(wildcard $(VM_DIR)/*.rst))

help:
	@echo "make rpms			-- generate manpages and create RPM package"
	@echo "make rst=example.rst preview	-- generate manpage preview from example.rst"
	@echo "make manpages			-- generate manpages"
	@echo "make install			-- generate VM manpages and copy them to /usr/share/man"

install: manpages
	mkdir -p $(DESTDIR)/usr/share/man/man1
	cp $(VM_DOCS) $(DESTDIR)/usr/share/man/man1/

%.1: %.rst
	$(PANDOC) $< > $@

%.1.gz: %.1
	gzip -f $<

manpages: $(QVM_DOCS) $(QUBES_DOCS) $(VM_DOCS)
	
preview:	$(rst)
	pandoc -s -f rst -t man $(rst) | groff -mandoc -Tlatin1 | less -R

clean:
	rm -f $(VM_DOCS)

=== misc/Makefile ===
CC=gcc
CFLAGS=-Wall -Wextra -Werror -g -O3

_XENSTORE_H=$(wildcard /usr/include/xenstore.h)
ifneq "$(_XENSTORE_H)" ""
	CFLAGS+= -DUSE_XENSTORE_H
endif

all:	xenstore-watch python close-window
xenstore-watch: xenstore-watch.o
	$(CC) -o xenstore-watch xenstore-watch.o -lxenstore
close-window: close-window.c
	$(CC) -o $@ $< -lX11
python:
	python -m compileall .
	python -O -m compileall .
clean:
	rm -f xenstore-watch *.o *~ *.pyc *.pyo

=== qrexec/Makefile ===
CC=gcc
CFLAGS+=-I. -g -Wall -Wextra -Werror -pie -fPIC
XENLIBS=-lvchan -lxenstore -lxenctrl
LIBS=$(XENLIBS) -lqrexec-utils

all: qrexec-agent qrexec-client-vm
qrexec-daemon: qrexec-daemon.o
	$(CC) -pie -g -o qrexec-daemon qrexec-daemon.o $(LIBS)
qrexec-agent: qrexec-agent.o
	$(CC) -pie -g -o qrexec-agent qrexec-agent.o $(LIBS)
qrexec-client: qrexec-client.o
	$(CC) -pie -g -o qrexec-client qrexec-client.o $(LIBS)
qrexec-client-vm: qrexec-client-vm.o
	$(CC) -pie -g -o qrexec-client-vm qrexec-client-vm.o
clean:
	rm -f *.o *~ qrexec-agent qrexec-client-vm

install:
	install -d $(DESTDIR)/etc/qubes-rpc
	install -d $(DESTDIR)/usr/lib/qubes
	install qrexec-agent $(DESTDIR)/usr/lib/qubes
	install qrexec-client-vm $(DESTDIR)/usr/lib/qubes
	ln -s qrexec-client-vm $(DESTDIR)/usr/lib/qubes/qrexec_client_vm
	install qubes-rpc-multiplexer $(DESTDIR)/usr/lib/qubes

=== debian/changelog ===
qubes-core-agent (2.1.55jessie1) jessie; urgency=medium

  * Build for jessie

 -- Marek Marczykowski-Górecki <user@devel18>  Tue, 10 Feb 2015 16:17:54 +0000

qubes-core-agent (2.1.55) jessie; urgency=medium

  * debian: change systemctl set-default back to manual symlink

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Tue, 10 Feb 2015 17:17:29 +0100

=== debian/control ===
Source: qubes-core-agent
Section: admin
Priority: extra
Maintainer: Davíð Steinn Geirsson <david@dsg.is>
Build-Depends: qubes-utils (>= 2.0.17), libvchan-xen-dev, python, debhelper, quilt, libxen-dev, dh-systemd (>= 1.5)
Standards-Version: 3.9.3
Homepage: http://www.qubes-os.org
Vcs-Git: git://git.qubes-os.org/marmarek/core-agent-linux.git

Package: qubes-core-agent
Architecture: any
Depends: qubes-utils (>= 2.0.17), libvchan-xen, xenstore-utils, iptables-persistent, xserver-xorg-video-dummy, xen-utils-common, ethtool, python2.7, python-gi, init-system-helpers, xdg-user-dirs, iptables, net-tools, initscripts, imagemagick, fakeroot, systemd, locales, sudo, dmsetup, psmisc, ncurses-term, xserver-xorg-core, x11-xserver-utils, xinit, ${shlibs:Depends}, ${misc:Depends}
Recommends: tinyproxy, gnome-themes-standard, chrony, ntpdate, haveged, network-manager (>= 0.8.1-1), network-manager-gnome, xsettingsd, nautilus-actions, libnotify-bin, notify-osd, gnome-packagekit, gnome-terminal
Conflicts: qubes-core-agent-linux, firewalld, qubes-core-vm-sysvinit
Description: Qubes core agent
 This package includes various daemons necessary for qubes domU support,
 such as qrexec.

# Unresolved depends that exist in rpm_spec
#qubes-core-vm-kernel-placeholder, qubes-core-vm,

## qubes-core-agent 3.2.35

=== debian/changelog ===
qubes-core-agent (3.2.35-1+deb9u1) stretch; urgency=medium

  * Build for stretch

 -- Marek Marczykowski-Górecki <user@build-debian3>  Mon, 15 Oct 2018 13:41:23 +0000

qubes-core-agent (3.2.35-1) unstable; urgency=medium

  [ Marek Marczykowski-Górecki ]
  * qubes-firewall: use iptables-restore --wait if supported
  * debian: don't create orig.tar.gz manually

  [ lvh ]
  * Voice informational messages in bind-dirs.sh

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Mon, 15 Oct 2018 06:30:36 +0200

qubes-core-agent (3.2.34-1) unstable; urgency=medium

  * rpm: use build flags provided by the distribution
  * rpm: add R: tar, for qubes-dom0-update

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Sun, 16 Sep 2018 05:34:20 +0200

qubes-core-agent (3.2.33-1) unstable; urgency=medium

  [ Marek Marczykowski-Górecki ]
  * rpm: fix remaining %if

  [ unman ]
  * Fix Ubuntu build in 3.2

  [ Rusty Bird ]
  * qvm-{copy,move}-to-vm.kde: '-inputbox' -> '--inputbox'

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Mon, 03 Sep 2018 11:16:02 +0200

qubes-core-agent (3.2.32-1) unstable; urgency=medium

  [ Frédéric Pierret ]
  * spec.in: fix %if expressions and remove useless conditions

  [ Marek Marczykowski-Górecki ]
  * qubes-rpc: fix code style - indent with spaces

  [ Rusty Bird ]
  * qfile-agent.c: exit on EPIPE after gui progress write

  [ Marek Marczykowski-Górecki ]
  * travis: add buster
  * qvm-open-in-vm: implement --view-only option
  * qvm-open-in-vm: mark file as read-only if opened with --view-only
  * Add build-time assert for filename buffer size

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Thu, 26 Jul 2018 23:39:44 +0200

qubes-core-agent (3.2.31-1) unstable; urgency=medium

  [ Reynir Björnsson ]
  * bind mount /usr/local

  [ Marek Marczykowski-Górecki ]
  * Convert /usr/local from a symlink to a mount point on upgrade
  * qrexec: fix handling remote domain death
  * network: use iptables-restore --wait if available

  [ Christopher Laprise ]
  * Fixes issue #3939

  [ Marek Marczykowski-Górecki ]
  * debian: add Depends: qubesdb-vm

  [ Peter Gerber ]
  * setup-rwdev.sh: Only check first 1 GiB for zeros

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Wed, 18 Jul 2018 18:00:16 +0200

qubes-core-agent (3.2.30-1) unstable; urgency=medium

  * Update gitignore and make clean target
  * debian: use default archive command

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Mon, 07 May 2018 05:51:45 +0200

qubes-core-agent (3.2.29-1) unstable; urgency=medium

  [ Frédéric Pierret ]
  * Add missing python-setuptools dependency
  * Use %{python3_pkgversion} instead of duplicating python3
  * Fix GCC8 warnings
  * centos: fix conflict with dconf

  [ Marek Marczykowski-Górecki ]
  * centos: exclude only dconf user profile, keep dpi config
  * Create /etc/dconf/profile/user dynamically, if not present
  * travis: add Fedora 27, 28, CentOS 7
  * dom0-updates: do not modify yum.conf

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Mon, 07 May 2018 05:32:42 +0200

qubes-core-agent (3.2.28-1) unstable; urgency=medium

  * qrexec: fix arguments handling

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Fri, 30 Mar 2018 23:20:46 +0200

qubes-core-agent (3.2.27-1) unstable; urgency=medium

  [ unman ]
  * Add missing services in Ubuntu templates.

  [ Marek Marczykowski-Górecki ]
  * debian: list KDE5 actions in qubes-core-agent.install
  * debian: add missing dconf related files to debian/qubes-core-
    agent.install
  * debian: make haveged.service patch less intrusive...
  * debian: add missing autostart dropin to debian/qubes-core-
    agent.install
  * debian: use dh_install --fail-missing

  [ Rusty Bird ]
  * bind-dirs.sh: don't fail on empty configuration directory

  [ Marek Marczykowski-Górecki ]
  * network: reload DNS only on "up" event from NetworkManager
  * qrexec: add qrexec-client-vm --buffer-size option

  [ Simon Gaiser ]
  * qrexec-fork-server: Always initialize addrlen argument of accept()

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Thu, 22 Mar 2018 01:03:39 +0100

qubes-core-agent (3.2.26-1) unstable; urgency=medium

  [ unman ]
  * Configure for build of artful templates, and remove zesty.
  * Stop Debian templates from forwarding by default.

  [ Marek Marczykowski-Górecki ]
  * Remove 80-qubes.conf from .install file too

  [ Ilpo Järvinen ]
  * Fix qubes-dom0-update regression by restoring dom0-updates dir

  [ Marek Marczykowski-Górecki ]
  * debian: don't call dconf if it isn't installed
  * debian: add back missing directories to package

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Tue, 13 Mar 2018 21:55:14 +0100

qubes-core-agent (3.2.25-1) unstable; urgency=medium

  * qrexec: launch services in login shell

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Thu, 22 Feb 2018 12:44:52 +0100

qubes-core-agent (3.2.24-1) unstable; urgency=medium

  * qrexec: use exec_qubes_rpc_if_requested() from qubes-utils
  * qrexec: translate keywords in target specification on the client
    side
  * rpm: adjust dependencies

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Tue, 20 Feb 2018 01:07:37 +0100

qubes-core-agent (3.2.23-1) unstable; urgency=medium

  [ MB ]
  * Fall back to direct execution when dbus is not installed or running

  [ Patrick Schleizer ]
  * make apt-get apt-transport-tor broken in Qubes non-networked
    TemplateVMs

  [ Marek Marczykowski-Górecki ]
  * qubes.GetImageRGBA: fix handling '-' path without explicit type
  * Install KDE actions for KDE5
  * Enable gnome settings daemon xsettings plugin
  * Disable automatic scaling in GNOME/GTK applications
  * Place list of loaded modules in /var/run directly
  * Add intel wifi drivers to suspend-module-blacklist

  [ Olivier MEDOC ]
  * archlinux: pick Qubes4.0 mergeable changes


=== debian/control ===
Source: qubes-core-agent
Section: admin
Priority: extra
Maintainer: unman <unman@thirdeyesecurity.org>
Build-Depends:
    libqrexec-utils-dev,
    libqubes-rpc-filecopy-dev (>= 3.1.3),
    libvchan-xen-dev,
    python,
    debhelper,
    quilt,
    libxen-dev,
    pkg-config,
    dh-systemd (>= 1.5),
    lsb-release,
    xserver-xorg-dev,
    config-package-dev
Standards-Version: 3.9.5
Homepage: http://www.qubes-os.org
Vcs-Git: git://git.qubes-os.org/marmarek/core-agent-linux.git

Package: qubes-core-agent
Architecture: any
Depends:
    dmsetup,
    ethtool,
    fakeroot,
    gawk,
    imagemagick,
    init-system-helpers,
    initscripts,
    iptables,
    librsvg2-bin,
    libvchan-xen,
    locales,
    locales-all,
    ncurses-term,
    net-tools,
    psmisc,
    procps,
    util-linux,
    python2.7,
    python-gi,
    python-xdg,
    python-dbus,
    python-gtk2,
    qubes-utils (>= 3.1.3),
    sudo,
    qubesdb-vm,
    systemd,
    x11-xserver-utils,
    xdg-user-dirs,
    xdg-utils,
    xen-utils-common,
    xenstore-utils,
    xinit,
    xserver-xorg-core,
    xserver-xorg-video-dummy,
    ${shlibs:Depends},
    ${misc:Depends}
Recommends:
    cups,
    gnome-terminal,
    gnome-themes-standard,
    haveged,
    libnotify-bin,
    mate-notification-daemon,
    network-manager (>= 0.8.1-1),
    network-manager-gnome,
    ntpdate,
    python-nautilus,
    system-config-printer,
    tinyproxy,
    xsettingsd,
    yum,
    yum-utils
Provides: ${diverted-files}
Conflicts: ${diverted-files}, qubes-core-agent-linux, firewalld, qubes-core-vm-sysvinit
Description: Qubes core agent
 This package includes various daemons necessary for qubes domU support,
 such as qrexec.

Package: qubes-core-agent-thunar
Architecture: any
Depends:
    thunar,
    qubes-core-agent-qrexec,
Description: Qubes integration for Thunar
 Thunar addons for inter-VM file copy/move/open.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

include /usr/share/dpkg/default.mk
export DESTDIR=$(shell pwd)/debian/tmp

%:
	dh $@ --with systemd --with=config-package

override_dh_auto_build:
	make all

override_dh_auto_install:
	make install-deb
	make -C qrexec install

override_dh_fixperms:
	dh_fixperms -a -Xqfile-unpacker

override_dh_systemd_start:
	dh_systemd_start --no-restart-on-upgrade

override_dh_install:
	dh_install --fail-missing

## qubes-core-agent 4.0.43

=== debian/changelog ===
qubes-core-agent (4.0.43-1+deb9u1) stretch; urgency=medium

  * Build for stretch

 -- Builder <user@localhost>  Fri, 08 Mar 2019 03:07:40 +0100

qubes-core-agent (4.0.43-1) unstable; urgency=medium

  * Use sfdisk instead of parted to resize root partition table
  * Revert "Use sfdisk instead of parted to ..." on stretch and jessie

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Fri, 08 Mar 2019 03:07:40 +0100

qubes-core-agent (4.0.42-1) unstable; urgency=medium

  [ Marek Marczykowski-Górecki ]
  * rpm: -networking package should depend on iproute
  * debian: make ShellCheck happy

  [ Lunar ]
  * Switch to HTTPS
  * Add apt-transport-https dependency

  [ Marek Marczykowski-Górecki ]
  * Introduce /usr/share/qubes/marker-vm

  [ AJ Jordan ]
  * Use dumpe2fs for filesystem size calculations

  [ Marek Marczykowski-Górecki ]
  * Add qubes version to marker-vm file

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Thu, 21 Feb 2019 05:12:59 +0100

qubes-core-agent (4.0.41-1) unstable; urgency=medium

  [ Bo Rydberg ]
  * Update spelling in setup-rw.sh

  [ Marek Marczykowski-Górecki ]
  * travis: switch to xenial
  * travis: disable "Prefer explicit escaping" shellcheck warning
  * Make shellcheck happy
  * Add dependency on e2fsprogs

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Wed, 09 Jan 2019 16:15:57 +0100

qubes-core-agent (4.0.40-1) unstable; urgency=medium

  [ AJ Jordan ]
  * Simplify block number calculation
  * Remove unnecessary quotes
  * Fix root volume size comparison
  * Remove weird spaces from script output
  * Rename variable to be more clear
  * Revert "Fix root volume size comparison"
  * Correct size_margin for rootfs resizes
  * Add quotes to placate ShellCheck
  * Rephrase comment

  [ Marek Marczykowski-Górecki ]
  * code style fix
  * Fix updates checking on Fedora with dnf
  * Fix updates notification on Fedora 29

  [ Rudd-O ]
  * Allow per-VM protected file list
  * Fix logic bug.
  * /rw/config

  [ Marek Marczykowski-Górecki ]
  * is_protected_file: if no config dir is present, assume the file is
    _not_ protected

  [ AJ Jordan ]
  * Add XTerm as a dependency

  [ Marek Marczykowski-Górecki ]
  * qrexec: add startup notification

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Sat, 08 Dec 2018 22:44:06 +0100

qubes-core-agent (4.0.39-1) unstable; urgency=medium

  [ unman ]
  * make iproute2 a dependency for Debian core-networking

  [ Marek Marczykowski-Górecki ]
  * rpm, deb: add strict version dependency between qubes-core-agent-*
    pkgs
  * rpm: drop useless circular dependency

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Wed, 21 Nov 2018 03:06:24 +0100

qubes-core-agent (4.0.38-1) unstable; urgency=medium

  [ Marek Marczykowski-Górecki ]
  * debian: don't create orig.tar.gz manually
  * Fix iptables-restore race condition in vif-route-qubes
  * vif-route-qubes: n -> \n
  * Do not force /bin/sh for /etc/qubes-rpc/qubes.GetAppmenus
  * Advertise supported qubes-services

  [ unman ]
  * Remove qubes-core-agent Debian dependency on xserver Mark xserver,
    xinit and x11-xserver-utils as Recommends

  [ Frédéric Pierret ]
  * spec: require 'hostname' as newer Fedora as moved out the dependency
    of initscripts into its network subpackage

  [ Marek Marczykowski-Górecki ]
  * Tell dom0 that VM is running Linux
  * Make shebang explicit /usr/bin/python2 where it's still there
  * archlinux: no longer need to mangle shebang for python scripts

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Mon, 29 Oct 2018 01:32:11 +0100

qubes-core-agent (4.0.37-1) unstable; urgency=medium

  [ Marek Marczykowski-Górecki ]
  * Fix qubes-run-terminal.desktop permissions
  * tests: update yum.qubes-os.org IP address
  * appmenus: send only persistent appmenus entries, use $XDG_DATA_*
  * rpm: fix building on fc29
  * travis: add fc29

  [ lvh ]
  * Voice informational messages in bind-dirs.sh

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Wed, 10 Oct 2018 02:44:11 +0200

qubes-core-agent (4.0.36-1) unstable; urgency=medium

  * rpm: add workaround for Fedora's systemd package bug

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Thu, 13 Sep 2018 14:32:02 +0200

qubes-core-agent (4.0.35-1) unstable; urgency=medium

  [ 0brand ]
  * Comments to use qubes onion repository
  * Comments to use qubes onion repository

  [ Marek Marczykowski-Górecki ]
  * Fix detection of root device resize
  * Drop https from onion update repository urls

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Wed, 12 Sep 2018 04:04:14 +0200

qubes-core-agent (4.0.34-1) unstable; urgency=medium

  [ Marta Marczykowska-Górecka ]
  * Add proper help text to qvm-copy tools and fix incorrect behavior
    for qvm-move
  * Avoid leaking VM name in qvm-copy usage text

  [ Rusty Bird ]
  * qfile-agent.c: exit on EPIPE after gui progress write
  * Unify qvm-{copy,move}-to-vm.{gnome,kde} and fix some bugs

  [ unman ]
  * Install qubes control files for services in Ubuntu templates

  [ Marek Marczykowski-Górecki ]
  * rpm: use build flags provided by the distribution
  * travis: add fc28 and buster

  [ Olivier MEDOC ]
  * archlinux: ensure /usr/local is present in fstab (fix issue
    https://github.com/QubesOS/qubes-issues/issues/4196)

  [ fepitre ]
  * Handle CentOS vm repo

  [ unman ]
  * Add bionic, remove old Ubuntu versions
  * Remove user from sudo group on removing passwordless-root.

  [ Marek Marczykowski-Górecki ]
  * debian: do not add user to sudo group, lock root account

  [ Rusty Bird ]
  * misc/qubes-run-terminal: which -> type

  [ unman ]
  * Install debian version of qrexec pam in Ubuntu templates

  [ Marek Marczykowski-Górecki ]
  * Slightly simplify @DIST@ substitution in repository definition

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Mon, 03 Sep 2018 11:17:14 +0200



=== debian/rules ===
--- 
+++ 
@@ -3,12 +3,13 @@
 
 # Uncomment this to turn on verbose mode.
 #export DH_VERBOSE=1
+export PYTHON_PREFIX_ARG=--install-layout=deb
 
 include /usr/share/dpkg/default.mk
 export DESTDIR=$(shell pwd)/debian/tmp
 
 %:
-	dh $@ --with systemd --with=config-package
+	dh $@ --with systemd,python2 --with=config-package
 
 override_dh_auto_build:
 	make all

## qubes-core-agent 4.1.0

=== debian/changelog ===
qubes-core-agent (4.1.0-1+deb9u1) stretch; urgency=medium

  * Build for stretch

 -- Builder <user@localhost>  Sat, 08 Jun 2019 05:45:54 +0200

qubes-core-agent (4.1.0-1) unstable; urgency=medium

  [ Frédéric Pierret (fepitre) ]
  * Disable useless Xen services in Qubes VM since we use upstream
    package
  * Handle tinyproxy path changed in upstream
  * Use exec to ease systemd handling the tinyproxy process
  * qubes-updates-proxy: make ShellCheck happy
  * Add qvm-showterminal
  * Rename qvm-showterminal to qvm-terminal and add print_usage
  * qvm-terminal: use usual '^]' as escape character
  * Add admin.vm.TerminalDispVM qubes-rpc
  * Rename and fix from Marek's comments
  * qubes.ShowInTerminal: simply exit if mktemp generate " character
  * Handle non-default 'eth0' Qubes managed interface
  * Make ShellCheck happy
  * Handle default value for get_qubes_managed_iface
  * Handle default value for get_iface_from_mac
  * setup-ip: only assign IP configuration of Qubes managed iface
  * setup-ip: handle default conf if /qubes-mac returns empty value
  * Handle network hooks located in /rw/config/network-hooks.d
  * Handle empty ip and vif_type

  [ Marek Marczykowski-Górecki ]
  * Remove qrexec-agent related files
  * travis: update for R4.1

  [ Simon Gaiser ]
  * Pass GUI domain id to GUI agent

  [ Marek Marczykowski-Górecki ]
  * rpm,deb: add Conflicts: qubes-gui-agent < 4.1.0

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Sat, 08 Jun 2019 05:45:54 +0200

qubes-core-agent (4.0.44-1) unstable; urgency=medium

  [ Marek Marczykowski-Górecki ]
  * qrexec: add version negotiation
  * dom0-updates: improve dnf config handling
  * travis: update Fedora versions
  * rpm: fix python3-* packaging

  [ unman ]
  * Add new onion addresses to repo lists

  [ Marek Marczykowski-Górecki ]
  * Implement D-Bus Activation of desktop files manually

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Sat, 13 Apr 2019 05:26:00 +0200

## qubes-core-agent 4.1.1

=== debian/changelog ===
qubes-core-agent (4.1.1-1+deb9u1) stretch; urgency=medium

  * Build for stretch

 -- Builder <user@localhost>  Sun, 09 Jun 2019 18:35:55 +0200

qubes-core-agent (4.1.1-1) unstable; urgency=medium

  * Update repositories to R4.1
  * travis: switch to R4.1

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Sun, 09 Jun 2019 18:35:55 +0200

## qubes-core-agent 4.1.2

=== debian/changelog ===
qubes-core-agent (4.1.2-1+deb10u1) buster; urgency=medium

  * Build for buster

 -- Builder <user@localhost>  Thu, 27 Jun 2019 01:07:20 +0200

qubes-core-agent (4.1.2-1) unstable; urgency=medium

  [ Frédéric Pierret (fepitre) ]
  * qvm-console: handle non-default bash shell (Debian)

  [ Marek Marczykowski-Górecki ]
  * dom0-updates: fix cleaning downloaded packages
  * Delay qubes-sync-time service after qrexec is started

  [ Frédéric Pierret (fepitre) ]
  * Refactor and handle new network qubesdb configuration
  * Handle legacy non-present /qubes-mac qubesdb entry
  * configure_network: use classical function parsing
  * init/functions: handle non-present /qubes-mac qubesdb and check if
    iface exists
  * Better use '-z' and '-n' for readibility
  * Handle errors for non-present ip gateways
  * init/functions: better not use ipcalc which is not present on
    minimal distro

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Thu, 27 Jun 2019 01:07:20 +0200

=== debian/control ===
Source: qubes-core-agent
Section: admin
Priority: extra
Maintainer: unman <unman@thirdeyesecurity.org>
Build-Depends:
    libpam0g-dev,
    libqubes-rpc-filecopy-dev (>= 3.1.3),
    libvchan-xen-dev,
    python,
    python-setuptools,
    debhelper,
    quilt,
    libxen-dev,
    pkg-config,
    dh-systemd (>= 1.5),
    dh-python,
    lsb-release,
    xserver-xorg-dev,
    config-package-dev,
    pandoc,
Standards-Version: 3.9.5
Homepage: https://www.qubes-os.org
Vcs-Git: https://github.com/QubesOS/qubes-core-agent-linux

Package: qubes-core-agent
Architecture: any
Depends:
    apt-transport-https,
    dconf-cli,
    dmsetup,
    gawk,
    imagemagick,
    init-system-helpers,
    initscripts,
    librsvg2-bin,
    locales,
    ncurses-term,
    psmisc,
    procps,
    util-linux,
    e2fsprogs,
    python2.7,
    python-daemon,
    python-qubesdb,
    python-gi,
    python-xdg,
    python-dbus,
    qubes-utils (>= 3.1.3),
    qubes-core-qrexec,
    qubesdb-vm,
    systemd,
    xdg-user-dirs,
    xdg-utils,
    xen-utils-common,
    xenstore-utils,
    ${python:Depends},
    ${shlibs:Depends},
    ${misc:Depends}
Recommends:
    cups,
    gnome-terminal,
    gnome-themes-standard,
    haveged,
    libnotify-bin,
    locales-all,
    mate-notification-daemon,
    ntpdate,
    system-config-printer,
    qubes-core-agent-nautilus,
    qubes-core-agent-networking,
    qubes-core-agent-network-manager,
    x11-xserver-utils,
    xinit,
    xserver-xorg-core,
    xsettingsd,
    xterm
Conflicts:
    qubes-core-agent-linux,
    firewalld,
    qubes-core-vm-sysvinit,
    qubes-gui-agent (<< 4.1.0-1)
Description: Qubes core agent
 This package includes various daemons necessary for qubes domU support,
 such as qrexec services.

Package: qubes-core-agent-nautilus
Architecture: any
Depends:
    python-nautilus,
    qubes-core-qrexec,
Replaces: qubes-core-agent (<< 4.0.0-1)
Breaks: qubes-core-agent (<< 4.0.0-1)
Description: Qubes integration for Nautilus
 Nautilus addons for inter-VM file copy/move/open.

Package: qubes-core-agent-thunar
Architecture: any
Depends:
    thunar,
    qubes-core-qrexec,
Replaces: qubes-core-agent (<< 4.0.0-1)
Breaks: qubes-core-agent (<< 4.0.0-1)
Description: Qubes integration for Thunar
 Thunar addons for inter-VM file copy/move/open.

Package: qubes-core-agent-dom0-updates
Architecture: any
Depends:
    fakeroot,
    yum,
    yum-utils,
    qubes-core-qrexec,
Replaces: qubes-core-agent (<< 4.0.0-1)
Breaks: qubes-core-agent (<< 4.0.0-1)
Description: Scripts required to handle dom0 updates.
  Scripts required to handle dom0 updates. This will allow to use the VM as
  "Updates VM".

Package: qubes-core-agent-networking
Architecture: any
Depends:
    qubes-core-agent (= ${binary:Version}),
    tinyproxy,
    iptables,
    net-tools,
    ethtool,
    socat,
    tinyproxy,
    iproute2,
    ${python:Depends},
    ${misc:Depends}
Suggests:
    nftables,
Replaces: qubes-core-agent (<< 4.0.0-1)
Breaks: qubes-core-agent (<< 4.0.0-1)
Description: Networking support for Qubes VM
 This package provides:
  * basic network functionality (setting IP address, DNS, default gateway)
  * proxy service used by TemplateVMs to download updates
  * qubes-firewall service (FirewallVM)
 .
 Note: if you want to use NetworkManager (you do want it in NetVM), install
 also qubes-core-agent-network-manager.

Package: qubes-core-agent-network-manager
Architecture: any
Depends:
    qubes-core-agent-networking (= ${binary:Version}),
    libglib2.0-bin,
    network-manager (>= 0.8.1-1),
    network-manager-gnome,
Replaces: qubes-core-agent (<< 4.0.0-1)
Breaks: qubes-core-agent (<< 4.0.0-1)
Description: NetworkManager integration for Qubes VM
 Integration of NetworkManager for Qubes VM:
  * make connections config persistent
  * adjust DNS redirections when needed
  * show/hide NetworkManager applet icon

Package: qubes-core-agent-passwordless-root
Architecture: any
Replaces: qubes-core-agent (<< 4.0.0-1)
Breaks: qubes-core-agent (<< 4.0.0-1)
Provides: ${diverted-files}
Conflicts: ${diverted-files}
Description: Passwordless root access from normal user
 Configure sudo, PolicyKit and similar tool to not ask for any password when
 switching from user to root. Since all the user data in a VM is accessible
 already from normal user account, there is not much more to guard there. Qubes
 VM is a single user system.

=== debian/rules ===
--- 
+++ 
@@ -16,7 +16,6 @@
 
 override_dh_auto_install:
 	make install-deb
-	make -C qrexec install
 
 override_dh_fixperms:
 	dh_fixperms -a -Xqfile-unpacker

## qubes-core-agent 4.1.3

=== debian/changelog ===
qubes-core-agent (4.1.3-1+deb9u1) stretch; urgency=medium

  * Build for stretch

 -- Builder <user@localhost>  Sun, 11 Aug 2019 07:26:02 +0200

qubes-core-agent (4.1.3-1) unstable; urgency=medium

  [ Marek Marczykowski-Górecki ]
  * Remove dead code
  * Specify expected shell in su calls

  [ Patrick Schleizer ]
  * use long options rather than short options
  * use long rather than short option names;

  [ M. Vefa Bicakci ]
  * dom0-updates: Quote arguments

  [ Patrick Schleizer ]
  * use tor+http for onion

  [ Anastasia Cotorobai ]
  * yum-qubes-hooks: update with respect to dnf-qubes-hooks

  [ Frédéric Pierret (fepitre) ]
  * yum-plugin-hooks: package only for CentOS 7
  * Allow creating TCP sockets between qubes
  * Add qvm-connect-tool to ease creating ad-hoc connections

  [ Marek Marczykowski-Górecki ]
  * debian: depend on xen-utils-guest
  * dnf: clear updates-available flag when dnf update yields no updates
  * Fix downloading dom0 updates on Debian

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Sun, 11 Aug 2019 07:26:02 +0200

## qubes-core-agent 4.1.4

=== debian/changelog ===
qubes-core-agent (4.1.4-1+deb10u1) buster; urgency=medium

  * Build for buster

 -- Builder <user@localhost>  Wed, 21 Aug 2019 10:34:49 +0200

qubes-core-agent (4.1.4-1) unstable; urgency=medium

  * Disable boot.automount which is created by systemd automatically

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Wed, 21 Aug 2019 10:34:49 +0200

=== debian/control ===
--- 
+++ 
@@ -52,6 +52,7 @@
     xdg-user-dirs,
     xdg-utils,
     xen-utils-common,
+    xen-utils-guest,
     xenstore-utils,
     ${python:Depends},
     ${shlibs:Depends},

## qubes-core-agent 4.1.5

=== debian/changelog ===
qubes-core-agent (4.1.5-1+deb11u1) bullseye; urgency=medium

  * Build for bullseye

 -- Builder <user@localhost>  Wed, 09 Oct 2019 04:15:20 +0200

qubes-core-agent (4.1.5-1) unstable; urgency=medium

  [ Marek Marczykowski-Górecki ]
  * dom0-updates: fix dnf.conf path

  [ unman ]
  * Fix typo
  * NetworkManager config - Add dns=default

  [ Patrick Schleizer ]
  * Mount /rw and /home with nosuid + nodev

  [ Marta Marczykowska-Górecka ]
  * Make qvm-copy/move[-to-vm] one script

  [ Marek Marczykowski-Górecki ]
  * Fix misleading error message on rootfs resize
  * resize-rootfs: wait for partition table to reload
  * network: don't fail the whole vif setup if IPv6 is disabled

  [ Frédéric Pierret (fepitre) ]
  * Update python2 dependencies to python3 and clean deprecated
    requirements
  * Require python setuptools

  [ Marek Marczykowski-Górecki ]
  * Minor codestyle fix in qubesadmin/firewall.py
  * Convert qubesagent module to python3
  * Convert other scripts to python3
  * Use spaces in xdg-icon script
  * debian: switch to python3
  * rpm: switch deps to python3-setuptools on CentOS too

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Wed, 09 Oct 2019 04:15:20 +0200

=== debian/rules ===
--- 
+++ 
@@ -9,7 +9,7 @@
 export DESTDIR=$(shell pwd)/debian/tmp
 
 %:
-	dh $@ --with systemd,python2 --with=config-package
+	dh $@ --with systemd,python3 --with=config-package
 
 override_dh_auto_build:
 	make all

## qubes-core-agent 4.1.6

=== debian/changelog ===
qubes-core-agent (4.1.6-1+deb9u1) stretch; urgency=medium

  * Build for stretch

 -- Builder <user@localhost>  Wed, 13 Nov 2019 06:06:40 +0100

qubes-core-agent (4.1.6-1) unstable; urgency=medium

  [ Hans Jerry Illikainen ]
  * qubes-download-dom0-updates: verify package signatures

  [ Frédéric Pierret (fepitre) ]
  * travis: switch to bionic

  [ Amadeusz Piotr Żołnowski ]
  * Move qubes-rpc installation from the root Makefile to qubes-rpc
    Makefile
  * Remove no longer needed xorg-preload-apps.conf
  * Ignore build result: tar2qfile
  * Use built-in rules in qubes-rpc makefile
  * Don't clean tilda files in qubes-rpc
  * Install qubes-rpc files in Archlinux

  [ Otto Sabart ]
  * archlinux: fix proxy setting in XferCommand

  [ Frédéric Pierret (fepitre) ]
  * qubes.WaitForSession: refactor by waiting for qrexec-fork-server
    socket
  * vm-file-editor: drop old wait-for-session mechanism

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Wed, 13 Nov 2019 06:06:40 +0100

## qubes-core-agent 4.1.7

=== debian/changelog ===
qubes-core-agent (4.1.7-1+deb11u1) bullseye; urgency=medium

  * Build for bullseye

 -- Builder <user@localhost>  Fri, 17 Jan 2020 05:12:04 +0100

qubes-core-agent (4.1.7-1) unstable; urgency=medium

  [ Jonas DOREL ]
  * Mention Update Proxy in configuration

  [ Marek Marczykowski-Górecki ]
  * Do not load u2mfn module anymore

  [ Patrick Schleizer ]
  * console=hvc0 must be last

  [ Pawel Marczewski ]
  * StartApp: remove workaround for .desktop suffix
  * Make the file copy operation respect default_user
  * GetAppmenus: ensure right app directories
  * Silence shellcheck
  * qubes.GetAppmenus: handle home directory properly in case of sudo

  [ Frédéric Pierret (fepitre) ]
  * travis: switch to dom0 Fedora 31

  [ Pawel Marczewski ]
  * qubes-firewall: add anti-spoofing rules for connected machines
  * Update firewall tests
  * Update rule priorities for anti-spoofing
  * Update tests for anti-spoofing, add test for the method itself
  * qubes-firewall: correctly handle empty connected-ips list
  * firewall: fix family / family_name
  * update_connected_ips: correctly handle byte-string
  * get_connected_ips: handle empty and missing keys, add tests
  * update_connected_ips: reload nftables using one command
  * update_connected_ips: set iptables policy to drop while updating

  [ Marta Marczykowska-Górecka ]
  * Added "QubesIncoming" shortcut to Nautilus

  [ Pawel Marczewski ]
  * qubes-session-autostart: handle error when reading a directory

  [ AJ Jordan ]
  * Fix typo

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Fri, 17 Jan 2020 05:12:04 +0100

=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
     libqubes-rpc-filecopy-dev (>= 3.1.3),
     libvchan-xen-dev,
     python,
-    python-setuptools,
+    python3-setuptools,
     debhelper,
     quilt,
     libxen-dev,
@@ -39,12 +39,12 @@
     procps,
     util-linux,
     e2fsprogs,
-    python2.7,
-    python-daemon,
-    python-qubesdb,
-    python-gi,
-    python-xdg,
-    python-dbus,
+    python3-daemon,
+    python3-distutils,
+    python3-qubesdb,
+    python3-gi,
+    python3-xdg,
+    python3-dbus,
     qubes-utils (>= 3.1.3),
     qubes-core-qrexec,
     qubesdb-vm,
@@ -54,7 +54,7 @@
     xen-utils-common,
     xen-utils-guest,
     xenstore-utils,
-    ${python:Depends},
+    ${python3:Depends},
     ${shlibs:Depends},
     ${misc:Depends}
 Recommends:
@@ -128,7 +128,7 @@
     socat,
     tinyproxy,
     iproute2,
-    ${python:Depends},
+    ${python3:Depends},
     ${misc:Depends}
 Suggests:
     nftables,

=== debian/rules ===
--- 
+++ 
@@ -16,6 +16,10 @@
 
 override_dh_auto_install:
 	make install-deb
+	make -C qubes-rpc install
+	make -C qubes-rpc/kde install
+	make -C qubes-rpc/nautilus install
+	make -C qubes-rpc/thunar install
 
 override_dh_fixperms:
 	dh_fixperms -a -Xqfile-unpacker

## qubes-core-agent 4.1.8

=== debian/changelog ===
qubes-core-agent (4.1.8-1+deb9u1) stretch; urgency=medium

  * Build for stretch

 -- Builder <user@localhost>  Tue, 28 Jan 2020 21:44:36 +0100

qubes-core-agent (4.1.8-1) unstable; urgency=medium

  [ Pawel Marczewski ]
  * qubes-run-terminal: use gnome-terminal --wait, if supported
  * Add qubes.VMExec call, for running a single command
  * Install faster console scripts for Python code
  * Advertise qubes.VMExec support as a feature
  * firewall: drop INVALID state TCP packets

  [ Marek Marczykowski-Górecki ]
  * travis: include PyGTK setup
  * travis: install also python xdg module

  [ Pawel Marczewski ]
  * Add qubes-run-gnome-terminal utility that uses --wait
  * Add /etc/qubes/applications override, use it for gnome-terminal

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Tue, 28 Jan 2020 21:44:36 +0100
